Zend Framework 1.9 : compatible avec PHP 5.3 et PHP 5.2

Zend Framework 1.9 : compatible avec PHP 5.3 et PHP 5.2

La “PHP Company” Zend sort la cinquième version de son célèbre framework en moins de 2 ans d’existence. Cette version apporte son lots de nouvelles fonctionnalités, mais c’est surtout la compatibilité avec la version 5.3 du langage PHP qui est très intéressante.

Pour rappel, cette dernière version du langage apporte des améliorations majeures au langage : on peut citer par exemple l’ajout du late static binding, des namespaces et des closures, qui font rentré enfin PHP dans la cour des grands.

Il n’y a pas gros ajouts au niveau du nombre de composants comme on avait pu le voir lors des précédentes updates, mais l’accent à été mis sur la compatibilité avec PHP 5.3, tout en conservant la compatibilité avec la version 5.2.

Voila une occasion rêvé pour découvrir les nouvelles fonctionnalités de PHP et retravailler avec le framework de mon cœur.”

comments powered by Disqus
A la une
  • Rencontre du numérique 2019 - Nîmes
  • référencement naturel d'un hôtel
  • Développeur eZ Platform
  • Tech lead Symfony
  • Expert Qualité Web

Copyright - Sylvain FIX

2009 - 2019